/* We need to make sure standard-consent.css don't get uploaded This is a quick fix */
body > div:first-child {
  position: relative !important;
}

@media screen and (max-width: 620px) {
  main {
    max-width: 100%;
    margin: 0;
  }
  #background_video {
    display: none !important;
  }
  #container {
    justify-content: flex-start;
    background: #ffffff !important;
    background-image: none !important;
  }
}

/* Fonts */
@font-face {
  font-family: 'Audi Type';
  src: url('../fonts/AudiType-Bold.woff2') format('woff2'), url('../fonts/AudiType-Bold.woff') format('woff');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Audi Type';
  src: url('../fonts/AudiType-Normal.woff2') format('woff2'), url('../fonts/AudiType-Normal.woff') format('woff');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Audi Type Extended';
  src: url('../fonts/AudiType-ExtendedNormal.woff2') format('woff2'),
    url('../fonts/AudiType-ExtendedNormal.woff') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Audi Type Extended';
  src: url('../fonts/AudiType-ExtendedBold.woff2') format('woff2'),
    url('../fonts/AudiType-ExtendedBold.woff') format('woff');
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

* {
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

html {
  font-family: 'Audi Type', Arial, Helvetica, sans-serif;
  color: #000000;
}

main {
  box-shadow: none;
  padding-bottom: 18px;
}

body {
  background-color: #f0f0f0;
}

#container {
  flex-direction: column;
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.header {
  margin: 68px 30px 0;
}

.title {
  padding-bottom: 20px;
}

.summary {
  padding-bottom: 42px;
  margin-bottom: 15px;
  border-bottom: 1px solid #e3e3e3;
}

fieldset {
  margin: 0 30px 0;
}

.actions {
  padding: 0px 30px 30px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/* Logo */
.logotype {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
  width: 100%;
  padding: 44px 30px 24px;
}

@media screen and (max-width: 620px) {
  .logotype {
    padding-top: 65px;
  }
}

/* Headings */
h1 {
  font-family: 'Audi Type Extended', Arial, Helvetica, sans-serif;
  font-weight: 700;
  font-size: 1.875rem;
  line-height: 2.375rem;
}

h2 {
  font-family: 'Audi Type Extended', Arial, Helvetica, sans-serif;
  font-weight: 700;
  font-size: 1.188rem;
  line-height: 2.625rem;
  padding: 20px 0;
}

h3 {
  font-family: 'Audi Type Extended', arial, helvetica, sans-serif;
  font-weight: 700;
  font-size: 1rem;
  line-height: 2.625rem;
  padding-top: 10px;
}

/* Paragraph */
p {
  position: relative;
  font-family: 'Audi Type', Arial, Helvetica, sans-serif;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5rem;
}

/* ========================== */
/* Mobile hero image styling */
/* ========================== */
#hero-container-mobile {
  display: none;
  height: auto;
  max-width: 100%;
  max-height: 100%;
}

#hero-img-mobile {
  height: 100%;
  width: 100%;
}

@media screen and (max-width: 620px) {
  #hero-container-mobile {
    display: block;
  }
}

/* =============================================
    Extra participant section
================================================*/
.extra-participant {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
  padding: 15px 30px;
  border-top: 1px solid #000000;
  border-bottom: 1px solid #000000;
}

.extra-participant > input {
  display: none;
}

.extra-participant > label {
  display: flex;
  position: relative;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  font-family: 'Audi Type', Arial, Helvetica, sans-serif;
  font-weight: 700;
  font-size: 1.188rem;
  line-height: 2.625rem;
  text-transform: uppercase;
  color: #000000;
}

.extra-participant > label:before {
  box-sizing: border-box;
  content: '';
  display: inline-block;
  position: relative;
  margin: 0 16px 0 0;
  min-width: 24px;
  max-width: 24px;
  width: 100%;
  height: 24px;
  border: 0;
  background-color: #ffffff;
  box-shadow: 0 0 0 1px #666666;
}

.extra-participant > input:checked + label:before {
  background-image: url('../images/check.svg');
  background-size: 24px 24px;
  background-repeat: no-repeat;
  background-position: center center;
  box-shadow: 0 0 0 1px #000000;
}

@media screen and (min-width: 620px) {
  .extra-participant > label:hover::before {
    cursor: pointer;
    box-shadow: 0 0 0 1px #000000;
  }
}

#extra-participants-container {
  padding: 0;
  background-color: #000000;
  overflow: hidden;
  transition: height 0.3s ease-out, padding 0.3s ease;
  height: auto;
}

#extra-participants-container:before {
  display: flex;
  content: '';
  width: 100%;
  padding: 30px 0 0;
}

#extra-participants-container h2 {
  display: none;
}

.extra-guest h3 {
  color: #ffffff;
  padding-bottom: 20px;
}

.extra-participants-actions {
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
  align-items: center;
  padding: 0;
  color: #ffffff;
}

#add_extra_participant {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  font-size: 1rem;
  line-height: 1.313rem;
  cursor: pointer;
  text-transform: uppercase;
  padding: 20px 30px;
}

#add_extra_participant.disabled {
  color: #555555;
}

#remove_extra_participant {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  font-size: 1rem;
  line-height: 1.313rem;
  cursor: pointer;
  text-transform: uppercase;
  padding: 20px 30px;
}
